No more comments when ticket closed
Target version:    

Resolution:    

Description

Is there a possibility to prevent users from commenting on closed tickets?

Related issues:

Related to Redmine - Feature #7557: Deny editing of descriptions of closed is... Closed 2011-02-05

Related to Redmine - Patch #2685: Display notice when commenting on closed ti... New 2009-02-06

Related to Redmine - Feature #3521: Permissions for roles to change fields pe... Closed 2009-06-22

Related to Redmine - Feature #33868: Prevent adding notes to closed issues New

Has duplicate Redmine - Feature #18382: Disable closed issues for commenting Closed

Has duplicate Redmine - Feature #27036: Ticket status closed Closed

History

#1 - 2013-04-20 08:21 - Toshi MARUYAMA

- Category changed from Permissions and roles to Issues

#2 - 2013-04-20 08:24 - Toshi MARUYAMA

- Status changed from New to Closed

See #3521#note-5.

#3 - 2013-04-20 08:28 - Toshi MARUYAMA

- Status changed from Closed to Reopened

#4 - 2014-02-11 21:38 - Sven Culley

Any news on this or maybe a patch which could handle this?

#5 - 2014-03-04 05:18 - Toshi MARUYAMA

- Status changed from Reopened to New

#6 - 2014-07-21 12:11 - benoit deleris

"No more comments when ticket closed" according to the role in fields permissions.

why not fixing this feature?

#7 - 2014-12-19 04:20 - Toshi MARUYAMA

- Related to Feature #18382: Disable closed issues for commenting added

#8 - 2014-12-19 06:40 - Ivan Cenov

In my opinion, this could be implemented with option 'comments allowed' and 'comments disallowed' when an issue is closed. This could be done for

each issue and/or globally and/or per project.

#9 - 2014-12-19 08:14 - Sven Culley

A first patch would help me ... ;)

#10 - 2014-12-19 16:03 - Ivan Cenov

To get this idea widely...
There could be added a new member in the issues table, par example 'comments_allowed' of type TINYINT(1) and it should be set to TRUE when

creating new issue. Then

associate a checkbox in the edit issue dialog

associate permissions for access of 'comments_allowed'.

add a menu item in the context menu for allow / disallow.

add a global configuration option about 'disallow comments on closing issues'.

add a project configuration option about 'disallow comments on closing issues'.

add a project configuration option about which setting is with bigger priority: the global one or project one. (is needed?)

add code that calculates above conditions and sets or clears 'comments_allowed'.

#11 - 2015-01-17 04:52 - Toshi MARUYAMA

- Related to deleted (Feature #18382: Disable closed issues for commenting)

#12 - 2015-01-17 04:52 - Toshi MARUYAMA

- Has duplicate Feature #18382: Disable closed issues for commenting added

#13 - 2015-02-26 20:47 - Michał Rzechonek

- File redmine-2.4.6-add_closed_issue_notes.patch added

I needed that recently, attaching a simplistic patch adding a permission.

For the record, I don't know a thing about Rails, just needed a quick hack.

#14 - 2015-06-26 19:15 - Alexander Meindl

I have added this feature to the plugin Redmine tweaks.

#15 - 2017-09-19 15:43 - Go MAEDA

- Has duplicate Feature #27036: Ticket status closed added

#16 - 2017-11-09 11:21 - Martina A.

- File Redmine Forum.pdf added

Hello

We need some help to this topic again.

Installing the patch with the command written above works.

After the installation and a restart of the server it is still possible to comment on closed issues…

I tried to understand “what the patch” is doing and check if that worked.

Due to formatting problems, please see attached pdf-file.

Thanks in advance for further tips.

#17 - 2019-05-22 14:31 - Yuuki NARA

+1

#18 - 2019-08-04 05:51 - Yuuki NARA

We created a workaround using the view customize plugin.

I hope this helps.

https://redmine.tokyo/issues/235#note-9

#19 - 2021-02-28 06:38 - Go MAEDA

- Related to Feature #33868: Prevent adding notes to closed issues added

#20 - 2021-09-23 15:51 - Marji Cermak

I've been looking for this as well.

And I just realised the additionals plugin actually implements this functionality: https://www.redmine.org/plugins/additionals

I can confirm it works. Make sure role you want to prevent from editing closed issues does not have "Edit closed issues" permission assigned.

Configure the additionals plugin at: /settings/plugin/additionals?tab=rules

The option is called "Disallow editing of closed issues (Freeze)".
#21 - 2021-09-23 16:39 - Padraig FItzgerald

Marji Cermak wrote:

I've been looking for this as well.

And I just realised the additionals plugin actually implements this functionality: https://www.redmine.org/plugins/additionals

I can confirm it works. Make sure role you want to prevent from editing closed issues does not have "Edit closed issues" permission assigned.

Configure the additionals plugin at: /settings/plugin/additionals?tab=rules

The option is called "Disallow editing of closed issues (Freeze)".

 Agreed. I have been using the plugin for last few weeks for this specific reason and it does exactly what OP asks for.

Files

redmine-2.4.6-add_closed_issue_notes.patch 1.49 KB 2015-02-26 Michał Rzechonek

Redmine Forum.pdf 26.7 KB 2017-11-09 Martina A.
